function [minVals] = runningMin(x,y)
% Compute running min of y, and use these indexes to choose elements of x
% (typically x is the same y)

if nargin < 2
    y = x;
end

minVals = x;
minPos = 1;
minValue = y(1);
minVals(1) = x(minPos);
for i = 2:length(x)
    if y(i) <= minValue
        minValue = y(i);
        minPos = i;
    else
        minVals(i) = x(minPos);
    end
end